Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.extractor.html
Class HCardExtractorTest

    java.lang.Object
      org.apache.any23.extractor.html.AbstractExtractorTestCase
          org.apache.any23.extractor.html.HCardExtractorTest

    public class HCardExtractorTest

extends AbstractExtractorTestCase

`HCardExtractor` test case.

Field Summary

Fields inherited from class org.apache.any23.extractor.html.AbstractExtractorTestCase
`baseURI`

Constructor Summary
`HCardExtractorTest()`

Method Summary
`protected org.apache.any23.extractor.ExtractorFactory<?>` | `getExtractorFactory()`
`void` | `testAbbrTitleEverything()`
`void` | `testAdr()`
`void` | `testAncestors()`
`void` | `testArea()`
`void` | `testAreaFull()`
`void` | `testBasic()`
`void` | `testBirthDayDate()`
`void` | `testBirthDayDateTime()`
`void` | `testBirthDayDateTimeTimeZone()`
`void` | `testCategories()`
`void` | `testCumulativeHNames()` Tests that the HCardName data is not cumulative and is cleaned up at each extraction.
`void` | `testEMailNotUri()`
`void` | `testEMailNotUriReal()`
`void` | `testfnOrg()`
`void` | `testGeoAbbr()`
`void` | `testHeader()`
`void` | `testHonorificAdditionalMultiple()`
`void` | `testHonorificAdditionalSingle()`
`void` | `testIgnoreChildren()`
`void` | `testIgnoreUnknowns()`
`void` | `testImageSrc()`
`void` | `testImgAlt()`
`void` | `testImgSrcDataUrl()`
`void` | `testImpliedNames()`
`void` | `testInclude()`
`void` | `testIncludePattern()`
`void` | `testMailto1()`
`void` | `testMailto2()`
`void` | `testMultipleclassNamesOnVCard()`
`void` | `testMultipleUrls()`
`void` | `testNoMicroformats()`
`void` | `testNotes()`
`void` | `testObjectDataDataUri()`
`void` | `testObjectDataHttpUri()`
`void` | `testPhotoLogo()`
`void` | `testRelativeUrl()`
`void` | `testRelativeUrlBase()`
`void` | `testRelativeUrlXmlBase1()`
`void` | `testRelativeUrlXmlBase2()`
`void` | `testRomanianWikipedia()`
`void` | `testSingleton()`
`void` | `testTel()`
`void` | `testUid()`
`void` | `testUidFull()`

Methods inherited from class org.apache.any23.extractor.html.AbstractExtractorTestCase
`assertContains, assertContains, assertContains, assertContains, assertContains, assertContains, assertContainsModel, assertContainsModel, assertError, assertExtracts, assertModelEmpty, assertModelNotEmpty, assertNotContains, assertNotContains, assertNotContains, assertNotContains, assertNotFound, assertStatementsSize, assertStatementsSize, assertStatementsSize, dumpAsListOfStatements, dumpHumanReadableTriples, dumpModelToNQuads, dumpModelToRDFXML, dumpModelToTurtle, extract, findExactlyOneBlankSubject, findExactlyOneObject, findObject, findObjectAsLiteral, findObjectAsResource, findObjects, findSubjects, getConnection, getErrors, getReport, getStatements, getStatementsSize, setUp, tearDown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HCardExtractorTest

    public HCardExtractorTest()

Method Detail

### getExtractorFactory

    protected org.apache.any23.extractor.ExtractorFactory<?> getExtractorFactory()

  Specified by:
    `getExtractorFactory` in class `AbstractExtractorTestCase`
  Returns:
    the factory of the extractor to be tested.

### testEMailNotUriReal

    public void testEMailNotUriReal()
                             throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testTel

    public void testTel()
                 throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testAbbrTitleEverything

    public void testAbbrTitleEverything()
                                 throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testGeoAbbr

    public void testGeoAbbr()
                     throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testAncestors

    public void testAncestors()
                       throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testfnOrg

    public void testfnOrg()
                   throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testInclude

    public void testInclude()
                     throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testHeader

    public void testHeader()
                    throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testAreaFull

    public void testAreaFull()
                      throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testCategories

    public void testCategories()
                        throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testSingleton

    public void testSingleton()
                       throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testUidFull

    public void testUidFull()
                     throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testRomanianWikipedia

    public void testRomanianWikipedia()
                               throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testNoMicroformats

    public void testNoMicroformats()
                            throws org.openrdf.repository.RepositoryException,
                                   IOException,
                                   org.apache.any23.extractor.ExtractionException

  Throws:
    `org.openrdf.repository.RepositoryException`
    `IOException`
    `org.apache.any23.extractor.ExtractionException`

### testBasic

    public void testBasic()
                   throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testMultipleclassNamesOnVCard

    public void testMultipleclassNamesOnVCard()
                                       throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testImpliedNames

    public void testImpliedNames()
                          throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testIgnoreUnknowns

    public void testIgnoreUnknowns()
                            throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testMailto1

    public void testMailto1()
                     throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testMailto2

    public void testMailto2()
                     throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testRelativeUrl

    public void testRelativeUrl()
                         throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testRelativeUrlBase

    public void testRelativeUrlBase()
                             throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testRelativeUrlXmlBase1

    public void testRelativeUrlXmlBase1()
                                 throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testRelativeUrlXmlBase2

    public void testRelativeUrlXmlBase2()
                                 throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testMultipleUrls

    public void testMultipleUrls()
                          throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testImageSrc

    public void testImageSrc()
                      throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testPhotoLogo

    public void testPhotoLogo()
                       throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testImgSrcDataUrl

    public void testImgSrcDataUrl()
                           throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testHonorificAdditionalSingle

    public void testHonorificAdditionalSingle()
                                       throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testHonorificAdditionalMultiple

    public void testHonorificAdditionalMultiple()
                                         throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testEMailNotUri

    public void testEMailNotUri()
                         throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testObjectDataHttpUri

    public void testObjectDataHttpUri()
                               throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testObjectDataDataUri

    public void testObjectDataDataUri()
                               throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testImgAlt

    public void testImgAlt()
                    throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testAdr

    public void testAdr()
                 throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testBirthDayDate

    public void testBirthDayDate()
                          throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testBirthDayDateTime

    public void testBirthDayDateTime()
                              throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testBirthDayDateTimeTimeZone

    public void testBirthDayDateTimeTimeZone()
                                      throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testArea

    public void testArea()
                  throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testNotes

    public void testNotes()
                   throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testIncludePattern

    public void testIncludePattern()
                            throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testUid

    public void testUid()
                 throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testIgnoreChildren

    public void testIgnoreChildren()
                            throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testCumulativeHNames

    public void testCumulativeHNames()
                              throws org.openrdf.repository.RepositoryException

  Tests that the HCardName data is not cumulative and is cleaned up at each extraction.

  Throws:
    `org.openrdf.repository.RepositoryException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.